gr::lte::remove_cp_cvc Class Reference

Remove LTE specific CP from stream and output OFDM symbol vectors in time domain. More...

`#include <remove_cp_cvc.h>`

Inheritance diagram for gr::lte::remove_cp_cvc:
[legend]

## Public Types

typedef boost::shared_ptr< remove_cp_cvc > | sptr

## Static Public Member Functions

static sptr | make (int fftl, std::string key, std::string name="remove_cp_cvc")
| Return a shared_ptr to a new instance of lte::remove_cp_cvc.

## Detailed Description

Remove LTE specific CP from stream and output OFDM symbol vectors in time domain.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<remove_cp_cvc> gr::lte::remove_cp_cvc::sptr

## Member Function Documentation

## make()

static sptr gr::lte::remove_cp_cvc::make | ( | int | fftl,
|  | std::string | key,
|  | std::string | name = "remove_cp_cvc" )

static

Return a shared_ptr to a new instance of lte::remove_cp_cvc.

To avoid accidental use of raw pointers, lte::remove_cp_cvc's constructor is in a private implementation class. lte::remove_cp_cvc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- remove_cp_cvc.h